export declare type ProvinceContract = {
    id: number;
    name: String;
};
export declare type CityContract = {
    id: number;
    province_id: ProvinceContract['id'];
    name: String;
};
export declare type DistrictContract = {
    id: number;
    province_id: ProvinceContract['id'];
    city_id: CityContract['id'];
    postal_code: number | null;
    name: String;
};
export declare type AddressContract = {
    provinces: ProvinceContract[];
    cities: CityContract[];
    districts: DistrictContract[];
};
export declare const Address: AddressContract;
export declare function findById<T extends keyof AddressContract>(type: T, id: Number): DistrictContract | CityContract | ProvinceContract;
export declare const flattenAddress: () => {
    province: String;
    city: String;
    district: string;
    postal_code: number | null;
    label: string;
    id: number;
}[];
