"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenAddress = exports.findById = exports.Address = void 0;
const location_json_1 = require("./assets/location.json");
const lodash_map_1 = __importDefault(require("lodash.map"));
const lodash_filter_1 = __importDefault(require("lodash.filter"));
exports.Address = {
    provinces: location_json_1.provinces, cities: location_json_1.cities, districts: location_json_1.districts
};
function findById(type, id) {
    return lodash_filter_1.default(exports.Address[type], (value) => value.id == id)[0];
}
exports.findById = findById;
const flattenAddress = () => {
    return lodash_map_1.default(location_json_1.districts, k => {
        const kabkotLabel = findById('cities', k.city_id);
        const provinceLabel = findById('provinces', k.province_id);
        let label = `${k.name.trim()}, ${kabkotLabel.name}, ${provinceLabel.name}`;
        if (k.postal_code)
            label += `, ${k.postal_code}`;
        return {
            province: provinceLabel.name,
            city: kabkotLabel.name,
            district: k.name,
            postal_code: k.postal_code,
            label,
            id: k.id
        };
    });
};
exports.flattenAddress = flattenAddress;
