import { DistrictContract, CityContract, ProvinceContract } from './address';
export interface NIKResult {
    NIK: String;
    province: ProvinceContract;
    city: CityContract;
    district: DistrictContract;
    birthday: String | boolean;
    gender: String;
    unicode: String;
    name: string | undefined;
}
export declare class ParseNIK {
    name?: string | undefined;
    private date;
    private month;
    private year;
    private lahir;
    private gender;
    private province;
    private city;
    private district;
    private uniqcode;
    private NIK;
    constructor(nik: String, name?: string | undefined);
    private getPartNIK;
    private getArea;
    private getCurrentYear;
    private getDateAndGender;
    private normalizeZero;
    private getBirthDay;
    private normalizeYear;
    private getUniqCode;
    isValid(): boolean;
    parse(): NIKResult;
}
